<?php

defined( 'ABSPATH' ) || exit;

if ( ! function_exists( 'wp_image_zoooom_settings' ) ) {
	function wp_image_zoooom_settings() {

		$l = 'wp-image-zoooom';

		$settings = array(
			'lensShape'                  => array(
				'label'      => __( 'Lens Shape', $l ),
				'values'     => array(
					'none'        => array( '<i class="icon-lens_shape_none"></i>', __( 'No Lens', $l ) ),
					'round'       => array( '<i class="icon-lens_shape_circle"></i>', __( 'Circle Lens', $l ) ),
					'square'      => array( '<i class="icon-lens_shape_square"></i>', __( 'Square Lens', $l ) ),
					'zoom_window' => array( '<i class="icon-type_zoom_window"></i>', __( 'With Zoom Window', $l ) ),
				),
				'value'      => 'zoom_window',
				'input_form' => 'buttons',
				'style'      => 'full',
				'section'    => 'settings',
				'no_wrap'    => true,
			),
			'cursorType'                 => array(
				'label'      => __( 'Cursor Type', $l ),
				'values'     => array(
					'default'   => array( '<i class="icon-cursor_type_default"></i>', __( 'Default', $l ) ),
					'pointer'   => array( '<i class="icon-cursor_type_pointer"></i>', __( 'Pointer', $l ) ),
					'crosshair' => array( '<i class="icon-cursor_type_crosshair"></i>', __( 'Crosshair', $l ) ),
					'zoom-in'   => array( '<i class="icon-zoom-in"></i>', __( 'Zoom', $l ) ),
				),
				'value'      => 'default',
				'input_form' => 'buttons',
				'style'      => 'full',
				'section'    => 'settings',
			),
			'zwEasing'                   => array(
				'label'       => __( 'Animation Easing Effect', $l ),
				'value'       => 12,
				'description' => __( 'A number between 0 and 200 to represent the degree of the Animation Easing Effect', $l ),
				'input_form'  => 'input_text',
				'section'     => 'settings',
			),

			'lensSize'                   => array(
				'label'       => __( 'Lens Size', $l ),
				'post_input'  => 'px',
				'value'       => 200,
				'description' => __( 'For Circle Lens it means the diameters, for Square Lens it means the width', $l ),
				'input_form'  => 'input_text',
				'section'     => 'settings',
			),
			'borderThickness'            => array(
				'label'      => __( 'Border Thickness', $l ),
				'post_input' => 'px',
				'value'      => 1,
				'input_form' => 'input_text',
				'section'    => 'settings',
			),
			'borderColor'                => array(
				'label'      => __( 'Border Color', $l ),
				'value'      => '#ffffff',
				'input_form' => 'input_color',
				'section'    => 'settings',
			),
			'lensFade'                   => array(
				'label'       => __( 'Fade Time', $l ),
				'post_input'  => 'sec',
				'value'       => 0.5,
				'description' => __( 'The amount of time it takes for the Lens to slowly appear or disappear', $l ),
				'input_form'  => 'input_text',
				'section'     => 'settings',
			),
			'tint'                       => array(
				'label'       => __( 'Tint', $l ),
				'value'       => true,
				'description' => __( 'A color that will layed on top the of non-magnified image in order to emphasize the lens', $l ),
				'input_form'  => 'checkbox',
				'section'     => 'settings',
			),
			'tintColor'                  => array(
				'label'      => __( 'Tint Color', $l ),
				'value'      => '#ffffff',
				'input_form' => 'input_color',
				'section'    => 'settings',
			),
			'tintOpacity'                => array(
				'label'      => __( 'Tint Opacity', $l ),
				'value'      => '0.1',
				'post_input' => '%',
				'input_form' => 'input_text',
				'section'    => 'settings',
			),
			'zwWidth'                    => array(
				'label'      => __( 'Zoom Window Width', $l ),
				'post_input' => 'px',
				'value'      => 400,
				'input_form' => 'input_text',
				'section'    => 'settings',
			),
			'zwHeight'                   => array(
				'label'      => __( 'Zoom Window Height', $l ),
				'post_input' => 'px',
				'value'      => 360,
				'input_form' => 'input_text',
				'section'    => 'settings',
			),
			'zwPadding'                  => array(
				'label'      => __( 'Distance from the Main Image', $l ),
				'post_input' => 'px',
				'value'      => 10,
				'input_form' => 'input_text',
				'section'    => 'settings',
			),
			'zwBorderThickness'          => array(
				'label'      => __( 'Border Thickness', $l ),
				'post_input' => 'px',
				'value'      => 1,
				'input_form' => 'input_text',
				'section'    => 'settings',
			),
			'zwShadow'                   => array(
				'label'       => __( 'Shadow Thickness', $l ),
				'post_input'  => 'px',
				'value'       => 4,
				'input_form'  => 'input_text',
				'description' => __( 'Use 0px to remove the shadow', $l ),
				'section'     => 'settings',
			),
			'zwBorderColor'              => array(
				'label'      => __( 'Border Color', $l ),
				'value'      => '#888888',
				'input_form' => 'input_color',
				'section'    => 'settings',
			),
			'zwBorderRadius'             => array(
				'label'      => __( 'Rounded Corners', $l ),
				'post_input' => 'px',
				'value'      => 0,
				'input_form' => 'input_text',
				'section'    => 'settings',
			),
			'zwFade'                     => array(
				'label'       => __( 'Fade Time', $l ),
				'post_input'  => 'sec',
				'value'       => 0.5,
				'description' => __( 'The amount of time it takes for the Zoom Window to slowly appear or disappear', $l ),
				'input_form'  => 'input_text',
				'section'     => 'settings',
			),
			'enable_woocommerce'         => array(
				'label'      => __( 'Enable the zoom on WooCommerce products', $l ),
				'value'      => true,
				'input_form' => 'checkbox',
				'section'    => 'general',
			),
			'exchange_thumbnails'        => array(
				'label'       => __( 'Exchange the thumbnail with main image on WooCommerce products', $l ),
				'value'       => true,
				'input_form'  => 'checkbox',
				'description' => __( 'On a WooCommerce gallery, when clicking on a thumbnail, not only the main image will be replaced with the thumbnail\'s image, but also the thumbnail will be replaced with the main image', $l ),
				'section'     => 'general',
			),
			'enable_mobile'              => array(
				'label'       => __( 'Enable the zoom on mobile devices', $l ),
				'value'       => false,
				'input_form'  => 'checkbox',
				'description' => __( 'Tablets are also considered mobile devices' ),
				'section'     => 'general',
			),
			'woo_cat'                    => array(
				'label'      => __( 'Enable the zoom on WooCommerce category pages', $l ),
				'value'      => false,
				'input_form' => 'checkbox',
				'section'    => 'general',
			),

			'force_woocommerce'          => array(
				'label'      => __( 'Force it to work on WooCommerce', $l ),
				'value'      => true,
				'input_form' => 'checkbox',
				'section'    => 'general',
			),
			'remove_lightbox_thumbnails' => array(
				'label'       => __( 'Remove the Lightbox on thumbnail images', $l ),
				'value'       => false,
				'pro'         => true,
				'input_form'  => 'checkbox',
				'description' => __( 'Some themes implement a Lightbox for WooCommerce galleris that opens on click. Enabling this checkbox will remove the Lightbox on thumbnail images and leave it only on the main image', 'wp-image-zoooom' ),
				'disabled'    => true,
				'section'     => 'general',
			),
			'remove_lightbox'            => array(
				'label'       => __( 'Remove the Lightbox', $l ),
				'value'       => false,
				'pro'         => true,
				'input_form'  => 'checkbox',
				'description' => __( 'Some themes implement a Lightbox that opens on click on the image. Enabling this checkbox will remove the Lightbox' ),
				'disabled'    => true,
				'section'     => 'general',
			),
			'woo_variations'             => array(
				'label'      => __( 'Enable on WooCommerce variation products', $l ),
				'value'      => false,
				'pro'        => true,
				'input_form' => 'checkbox',
				'disabled'   => true,
				'section'    => 'general',
			),
			'force_attachments'          => array(
				'label'      => __( 'Enable on attachments pages', $l ),
				'value'      => false,
				'pro'        => true,
				'input_form' => 'checkbox',
				'disabled'   => true,
				'section'    => 'general',
			),
			'custom_class'               => array(
				'label'       => __( 'Apply zoom on this particular image(s)', $l ),
				'value'       => '',
				'pro'         => true,
				'input_form'  => 'input_text',
				'description' => __( 'CSS style selector(s) for identifying the image(s) on which to apply the zoom.', $l ),
				'disabled'    => true,
				'section'     => 'general',
			),
			'flexslider'                 => array(
				'label'      => __( 'FlexSlider container class', $l ),
				'value'      => '',
				'pro'        => true,
				'input_form' => 'input_text',
				'disabled'   => true,
				'section'    => 'general',
			),
			'owl'                        => array(
				'label'       => __( '<a href="https://www.silkypress.com/i/js-owl" target="_blank">Owl Carousel</a> container class', $l ),
				'value'       => '',
				'input_form'  => 'input_text',
				'pro'         => true,
				'description' => __( 'If the images are in a Owl Carousel gallery, then type in here the class of the div containing the Owl Carousel gallery', $l ),
				'disabled'    => true,
				'section'     => 'general',
			),
			'flickity'                   => array(
				'label'       => __( '<a href="https://flickity.metafizzy.co/" target="_blank">Flickity Carousel</a> container class', $l ),
				'value'       => '',
				'input_form'  => 'input_text',
				'pro'         => true,
				'description' => __( 'If the images are in a Flickity Carousel gallery, then type in here the class of the div containing the Flickity Carousel gallery', $l ),
				'disabled'    => true,
				'section'     => 'general',
			),
			'slick'                      => array(
				'label'       => __( '<a href="https://kenwheeler.github.io/slick/" target="_blank">Slick carousel</a> container class', $l ),
				'value'       => '',
				'input_form'  => 'input_text',
				'description' => __( 'If the images are in a Slick carousel gallery, then type in here the class of the div containing the Slick carousel gallery', $l ),
				'pro'         => true,
				'disabled'    => true,
				'section'     => 'general',
			),
			'huge_it_gallery'            => array(
				'label'      => __( '<a href="https://www.silkypress.com/i/wp-huge-it-gallery" target="_blank">Huge IT Gallery</a> id', $l ),
				'value'      => '',
				'pro'        => true,
				'input_form' => 'input_text',
				'disabled'   => true,
				'section'    => 'general',
			),
			'enable_lightbox_zoom'       => array(
				'label'      => __( 'Enable inside a Lightbox. <a href="#TB_inline?width=600&height=400&inlineId=supported-lightboxes" class="thickbox">See supported lightboxes</a>', $l ),
				'value'      => false,
				'pro'        => true,
				'input_form' => 'checkbox',
				'disabled'   => true,
				'section'    => 'general',
			),
			'onClick'                    => array(
				'label'      => __( 'Enable the zoom on ...', $l ),
				'values'     => array(
					'false' => 'mouse hover',
					'true'  => 'mouse click',
				),
				'value'      => 'false',
				'input_form' => 'radio',
				'pro'        => true,
				'disabled'   => true,
				'section'    => 'settings',
			),
			'ratio'                      => array(
				'label'      => __( 'Zoom Level', $l ),
				'values'     => array(
					'default' => array( '<i class="icon-zoom_level_default"></i>', __( 'Default', $l ) ),
					'1.5'     => array( '<i class="icon-zoom_level_15"></i>', __( '1,5 times', $l ) ),
					'2'       => array( '<i class="icon-zoom_level_2"></i>', __( '2 times', $l ) ),
					'2.5'     => array( '<i class="icon-zoom_level_25"></i>', __( '2,5 times', $l ) ),
					'3'       => array( '<i class="icon-zoom_level_3"></i>', __( '3 times', $l ) ),
				),
				'value'      => 'default',
				'input_form' => 'buttons',
				'pro'        => true,
				'style'      => 'full',
				'disabled'   => true,
				'section'    => 'settings',
			),
			'lensColour'                 => array(
				'label'      => __( 'Lens Color', $l ),
				'value'      => '#ffffff',
				'pro'        => true,
				'input_form' => 'input_color',
				'disabled'   => true,
				'section'    => 'settings',
			),
			'lensOverlay'                => array(
				'label'      => __( 'Show as Grid', $l ),
				'value'      => false,
				'pro'        => true,
				'input_form' => 'checkbox',
				'disabled'   => true,
				'section'    => 'settings',
			),
			'zwResponsive'               => array(
				'label'      => __( 'Responsive', $l ),
				'input_form' => 'checkbox',
				'pro'        => true,
				'value'      => false,
				'disabled'   => true,
				'section'    => 'settings',
			),
			'zwResponsiveThreshold'      => array(
				'label'      => __( 'Responsive Threshold', $l ),
				'pro'        => true,
				'post_input' => 'px',
				'value'      => '',
				'input_form' => 'input_text',
				'disabled'   => true,
				'section'    => 'settings',
			),
			'zwPositioning'              => array(
				'label'      => __( 'Positioning', $l ),
				'values'     => array(
					'right_top'    => array( '<i class="icon-type_zoom_window_right_top"></i>', __( 'Right Top', $l ) ),
					'right_bottom' => array( '<i class="icon-type_zoom_window_right_bottom"></i>', __( 'Right Bottom', $l ) ),
					'right_center' => array( '<i class="icon-type_zoom_window_right_center"></i>', __( 'Right Center', $l ) ),
					'left_top'     => array( '<i class="icon-type_zoom_window_left_top"></i>', __( 'Left Top', $l ) ),
					'left_bottom'  => array( '<i class="icon-type_zoom_window_left_bottom"></i>', __( 'Left Bottom', $l ) ),
					'left_center'  => array( '<i class="icon-type_zoom_window_left_center"></i>', __( 'Left Center', $l ) ),
				),
				'pro'        => true,
				'value'      => '',
				'disabled'   => true,
				'input_form' => 'buttons',
				'style'      => 'full',
				'disabled'   => true,
				'section'    => 'settings',
			),
			'mousewheelZoom'             => array(
				'label'      => __( 'Mousewheel Zoom', $l ),
				'value'      => '',
				'pro'        => true,
				'input_form' => 'checkbox',
				'disabled'   => true,
				'section'    => 'settings',
			),
		);

		return $settings;
	}
}
